Bug 1260311 - gobject-introspection wrong provides
gobject-introspection wrong provides
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gobject-introspection (Show other bugs)
7.1
Unspecified Unspecified
unspecified Severity high
: rc
: ---
Assigned To: Colin Walters
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-05 18:19 EDT by Tomas Pelka
Modified: 2015-09-11 08:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-11 08:13:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Pelka 2015-09-05 18:19:34 EDT
Description of problem:
gobject-introspection now provides libgirepository-1.0.so.1() instead of libgirepository-1.0.so.1

at least libpeas, eog and mutter requiting libgirepository-1.0.so.1

Version-Release number of selected component (if applicable):
gobject-introspection-1.42.0-1.el7

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.

Actual results:
Error: Package: eog-3.14.3-1.el7.i686 (/eog-3.14.3-1.el7.i686)
           Requires: libgirepository-1.0.so.1
           Removing: gobject-introspection-1.36.0-4.el7.i686 (@/gobject-introspection-1.36.0-4.el7.i686)
               libgirepository-1.0.so.1
           Updated By: gobject-introspection-1.42.0-1.el7.x86_64 (/gobject-introspection-1.42.0-1.el7.x86_64)
               Not found
Error: Package: libpeas-1.12.1-1.el7.i686 (/libpeas-1.12.1-1.el7.i686)
           Requires: libgirepository-1.0.so.1
           Removing: gobject-introspection-1.36.0-4.el7.i686 (@/gobject-introspection-1.36.0-4.el7.i686)
               libgirepository-1.0.so.1
           Updated By: gobject-introspection-1.42.0-1.el7.x86_64 (/gobject-introspection-1.42.0-1.el7.x86_64)
               Not found
Error: Package: mutter-3.14.4-11.el7.i686 (/mutter-3.14.4-11.el7.i686)
           Requires: libgirepository-1.0.so.1
           Removing: gobject-introspection-1.36.0-4.el7.i686 (@/gobject-introspection-1.36.0-4.el7.i686)
               libgirepository-1.0.so.1
           Updated By: gobject-introspection-1.42.0-1.el7.x86_64 (/gobject-introspection-1.42.0-1.el7.x86_64)
               Not found
Error: Package: libpeas-1.12.1-1.el7.i686 (/libpeas-1.12.1-1.el7.i686)
           Requires: gobject-introspection(x86-32)
           Removing: gobject-introspection-1.36.0-4.el7.i686 (@/gobject-introspection-1.36.0-4.el7.i686)
               gobject-introspection(x86-32) = 1.36.0-4.el7
           Updated By: gobject-introspection-1.42.0-1.el7.x86_64 (/gobject-introspection-1.42.0-1.el7.x86_64)
              ~gobject-introspection(x86-64) = 1.42.0-1.el7
Error: Package: libpeas-devel-1.12.1-1.el7.i686 (/libpeas-devel-1.12.1-1.el7.i686)
           Requires: libgirepository-1.0.so.1
           Removing: gobject-introspection-1.36.0-4.el7.i686 (@/gobject-introspection-1.36.0-4.el7.i686)
               libgirepository-1.0.so.1
           Updated By: gobject-introspection-1.42.0-1.el7.x86_64 (/gobject-introspection-1.42.0-1.el7.x86_64)
               Not found


Expected results:


Additional info:
Comment 2 Colin Walters 2015-09-06 11:42:38 EDT
Not sure what's going on there, it looks fine to me:

$ brew latest-pkg --quiet rhel-7.1 gobject-introspection
gobject-introspection-1.36.0-4.el7        rhel-7.0              dmach
srv/tmp
$ brew latest-pkg --quiet rhel-7.2-candidate gobject-introspection
gobject-introspection-1.42.0-1.el7        rhel-7.2-candidate    mclasen
$ curl -O http://download.devel.redhat.com/brewroot/packages/gobject-introspection/1.42.0/1.el7/x86_64/gobject-introspection-1.42.0-1.el7.x86_64.rpm
$ rpm -qp --provides gobject-introspection-1.42.0-1.el7.x86_64.rpm 
gobject-introspection = 1.42.0-1.el7
gobject-introspection(x86-64) = 1.42.0-1.el7
libgirepository-1.0.so.1()(64bit)
$ curl -O http://download.devel.redhat.com/brewroot/packages/gobject-introspection/1.36.0/4.el7/x86_64/gobject-introspection-1.36.0-4.el7.x86_64.rpm
$ rpm -qp --provides gobject-introspection-1.36.0-4.el7.x86_64.rpm 
gobject-introspection = 1.36.0-4.el7
gobject-introspection(x86-64) = 1.36.0-4.el7
libgirepository-1.0.so.1()(64bit)
$
Comment 3 Colin Walters 2015-09-08 10:06:12 EDT
Tomas, can you show what command you're running and against what repositories?  Does the data in comment #2 look right?
Comment 4 Tomas Pelka 2015-09-08 10:35:40 EDT
(In reply to Colin Walters from comment #3)
> Tomas, can you show what command you're running and against what
> repositories?  Does the data in comment #2 look right?

It appears during TPS, so rpm -Uhv together with more than 2000 rpms. I will try to put the list of packages together ASAP

Note You need to log in before you can comment on or make changes to this bug.